FROM java:8

ENV MIN_MEM=512M
ENV MAX_MEM=8G
ENV STOP="stop"

COPY ./bin/main /main
COPY ./bin/cmd /usr/local/bin/cmd
COPY ./entry.sh /entry.sh

EXPOSE 25565

VOLUME [ "/server" ]

ENTRYPOINT [ "/main" ]
